//
//  Endpoint.cpp
//  papTermOneCourseWork
//
//  Created by Charles Ringer on 30/10/2015.
//
//

#include "Endpoint.hpp"

Endpoint::Endpoint(vector<Wall> &walls)
{
    bool done = false;
    
    int potX, potY;
    while(!done)
    {
        potX = 20*((int)ofRandom(1, 39));
        potY = 20*((int)ofRandom(1, 29));
        
        if (!(std::any_of(walls.begin(), walls.end(),
                          [potX, potY](Wall wall)
            {
                return potY < wall.getEndY()
                && potY+20 >= wall.getStartY()
                && potX < wall.getEndX()
                && potX+20 > wall.getStartX();
            })))
        {
            X = potX;
            Y = potY;
            done = true;
        }
    }
}

void Endpoint::disp()
{
    ofSetColor(255,0,0);
    ofFill();
    ofRect(X, Y, 20, 20);
}


