//
//  Wall.hpp
//  papTermOneCourseWork
//
//  Created by Charles Ringer on 27/10/2015.
//
//

#ifndef Wall_hpp
#define Wall_hpp

#include "ofMain.h"
#include "ImageBank.hpp"

#include <stdio.h>
#include <stdlib.h>


class Wall
{
    
private:
    //Coords
    int sX;
    int sY;
    int eX;
    int eY;
    int height;
    int width;
    ofImage *wallImg;
    
public:
    // Constuctor
    Wall(int _sX, int _sY, int _eX, int _eY, ImageBank &imgBank);
    //Getters
    int getStartX() { return sX;};
    int getStartY() { return sY;};
    int getEndX() { return eX;};
    int getEndY() { return eY;};
    int getWidth() { return width;};
    int getHeight() { return height;};
    
    void disp();
    
};

#endif /* Wall_hpp */
